#include <iostream>
using namespace std;

int main(){
    int a, b, l;
    cin>>a>>b>>l;
    int br=a+b-1;
    bool as, bs; // true = nch, false = ch

    if(a%2==1){
        as=true;
    }else{
        as=false;
    }

    if(b%2==1){
        bs=true;
    }else{
        bs=false;
    }
    if(a==1 or b==1){
        cout<<br<<endl;
        return 0;
    }
    if(as==false && bs==false){
        for(int i =a+b+1; i<l; i+=2){
            br+=1;
        }
    }else if((as==false && bs==true) or (as==true && bs==false)){
        for(int i =a+b; i<l; i+=2){
            br+=1;
        }
    }else if(as==true && bs==true){
        for(int i =a+b+1; i<l; i+=2){
            br+=1;
        }
    }

    cout<<br;


}
